Page MenuHomePhabricator

Improve presentation of apps on portal
Closed, ResolvedPublic

Description

We’d like to improve the current presentation of the apps on portal. Suggested designs:

DesktopMobile

👉SVG assets can be downloaded via Zeplin: https://app.zeplin.io/project/57a120b91998d8977642a238/dashboard?seid=5d012d92d6587e15d88adbb3


In regards to smart app banners @Jdrewniak, we would be very interested in trying it out as well. We received feedback from community relation specialist @Johan and it might be doable. To quote him:

“The portal is a bit different, since the communities don't feel a strong feeling of ownership around it – it's not like we could do anything and no one would raise an eyebrow, but it's far more the domain of the Foundation.”

What I found so far are these resources: iOS | Android. Do you think you could explore implementing these on portal?


Thanks much for helping us with it @Jdrewniak, we’re excited!

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2019, 5:03 PM
schoenbaechler added a subscriber: JMinor.EditedJun 12 2019, 5:07 PM

In regards to copy @Charlotte @JMinor or @cmadeo, feel free to add your suggestions for it here.

The current copy says:

Download Wikipedia for Android or iOS
Save your favorite articles and read Wikipedia offline with reading lists or explore articles in night mode with the official Wikipedia apps.

Jdrewniak moved this task from Untriaged to Design on the Wikimedia-Portals board.Jun 12 2019, 6:23 PM

How about:

Save your favorite articles to read offline, sync your reading lists across devices and customise your reading experience with the official Wikipedia app.

I'm sure there's a better way to put it, but this gets a 3rd USP into the text at least?

Can we please use the following campaign URL for the Android link?

https://play.google.com/store/apps/details?id=org.wikipedia&referrer=utm_source%3Dportal%26utm_medium%3Dbutton%26anid%3Dadmob

This way we can attribute any downloads to the portal.

Hey @Jdrewniak, may I ask what the status of this task is? Thanks for letting us know.

Change 530377 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals@master] Adding app badge icons to wikipedia portal footer

https://gerrit.wikimedia.org/r/530377

By the way, I think it would be nice, if you could use localized badges for each language.

Patriccck added a comment.EditedAug 17 2019, 11:51 AM

@Iniquity Yes, I think, that developers will do it.

Jdrewniak removed Jdrewniak as the assignee of this task.Aug 26 2019, 11:12 PM

Change 530377 merged by jenkins-bot:
[wikimedia/portals@master] Adding app badge icons to wikipedia portal footer

https://gerrit.wikimedia.org/r/530377

hello @Charlotte, @schoenbaechler . Good news, this went out on the EU swat deploy today!

Thanks so much @Jdrewniak - it looks great!

Edtadros reassigned this task from Edtadros to Jdrewniak.Sep 3 2019, 2:45 PM
Edtadros added a subscriber: Edtadros.

@Jdrewniak where should I test this? Also, I assume that I just need to make sure the desktop and mobile pages appear as shown in the description, correct?

Jdrewniak closed this task as Resolved.Sep 17 2019, 5:04 PM

This has been on production fro a couple of weeks with no issue, so I 'm signing it off.

Change 530377 merged by jenkins-bot:
[wikimedia/portals@master] Adding app badge icons to wikipedia portal footer
https://gerrit.wikimedia.org/r/530377

Ugh, do we really need to promote proprietary services? https://f-droid.org/packages/org.wikipedia/ works perfectly fine and there is no need to actively work against https://fsfe.org/campaigns/android/liberate.en.html .